texlive[47879] Master/tlpkg: more xzdec eradication

commits+karl at tug.org commits+karl at tug.org
Thu May 31 00:49:54 CEST 2018


Revision: 47879
          http://tug.org/svn/texlive?view=revision&revision=47879
Author:   karl
Date:     2018-05-31 00:49:54 +0200 (Thu, 31 May 2018)
Log Message:
-----------
more xzdec eradication

Modified Paths:
--------------
    trunk/Master/tlpkg/bin/check-tlnet-consistency
    trunk/Master/tlpkg/bin/tl-fix-container-infos
    trunk/Master/tlpkg/bin/tl-makeself-from-tlnet
    trunk/Master/tlpkg/bin/tl-update-containers
    trunk/Master/tlpkg/tlpsrc/texlive.infra.tlpsrc

Modified: trunk/Master/tlpkg/bin/check-tlnet-consistency
===================================================================
--- trunk/Master/tlpkg/bin/check-tlnet-consistency	2018-05-30 21:18:26 UTC (rev 47878)
+++ trunk/Master/tlpkg/bin/check-tlnet-consistency	2018-05-30 22:49:54 UTC (rev 47879)
@@ -1,5 +1,6 @@
 #!/usr/bin/env perl
-# Copyright 2008-2016 Norbert Preining
+# $Id$
+# Copyright 2008-2018 Norbert Preining
 # This file is licensed under the GNU General Public License version 2
 # or any later version.
 # 
@@ -54,10 +55,6 @@
   } else {
     # do a full setup
     my $ret = &TeXLive::TLUtils::setup_programs("$Master/tlpkg/installer");
-    if ($ret == -1) {
-      tlwarn("no binary of xzdec for $::_platform_ detected, aborting.\n");
-      exit 1;
-    }
     if (!$ret) {
       tlwarn("binaries could not be set up, aborting.\n");
       exit 1;
@@ -90,12 +87,12 @@
     my $dodoc = ($tlpdb->config_doc_container && $tlpdbtlpobj->docfiles);
     my $dosrc = ($tlpdb->config_src_container && $tlpdbtlpobj->srcfiles);
     if ($opt_filelists) {
-      system("cat $cont | $::progs{xzdec} | $::progs{tar} -C \"$temp\" -xf - ");
+      system("cat $cont | $::progs{xz} | $::progs{tar} -C \"$temp\" -xf - ");
     } else {
-      system("cat $cont | $::progs{xzdec} | $::progs{tar} -C \"$temp\" -xf - tlpkg/tlpobj");
+      system("cat $cont | $::progs{xz} | $::progs{tar} -C \"$temp\" -xf - tlpkg/tlpobj");
     }
     if (! -r "$temp/tlpkg/tlpobj/$pkg.tlpobj") {
-      debug("ERROR: no tlpobj\n");
+      debug("ERROR: no tlpobj: $temp/tlpkg/tlpobj/$pkg.tlpobj\n");
       push @notlpobj, $pkg;
     } else {
       my $tartlpobj = TeXLive::TLPOBJ->new;

Modified: trunk/Master/tlpkg/bin/tl-fix-container-infos
===================================================================
--- trunk/Master/tlpkg/bin/tl-fix-container-infos	2018-05-30 21:18:26 UTC (rev 47878)
+++ trunk/Master/tlpkg/bin/tl-fix-container-infos	2018-05-30 22:49:54 UTC (rev 47879)
@@ -1,5 +1,6 @@
 #!/usr/bin/env perl
-# Copyright 2008-2016 Norbert Preining
+# $Id$
+# Copyright 2008-2018 Norbert Preining
 # This file is licensed under the GNU General Public License version 2
 # or any later version.
 # 
@@ -74,10 +75,6 @@
   } else {
     # do a full setup
     my $ret = &TeXLive::TLUtils::setup_programs("$Master/tlpkg/installer");
-    if ($ret == -1) {
-      tlwarn("$0: no xzdec for $::_platform_, aborting.\n");
-      exit 1;
-    }
     if (!$ret) {
       tlwarn("$0: binaries could not be set up, aborting.\n");
       exit 1;

Modified: trunk/Master/tlpkg/bin/tl-makeself-from-tlnet
===================================================================
--- trunk/Master/tlpkg/bin/tl-makeself-from-tlnet	2018-05-30 21:18:26 UTC (rev 47878)
+++ trunk/Master/tlpkg/bin/tl-makeself-from-tlnet	2018-05-30 22:49:54 UTC (rev 47879)
@@ -1,6 +1,6 @@
 #!/bin/sh -e
 # $Id$
-# Copyright 2008-2017 Norbert Preining
+# Copyright 2008-2018 Norbert Preining
 # This file is licensed under the GNU General Public License version 2
 # or any later version.
 # 
@@ -55,11 +55,10 @@
   exit 1
 fi
 #
-# don't think quotes are needed here, except for possible sh bugs?
 for i in "$ARCHIVE"/$infrapkg*.tar.xz; do
   case "$i" in 
     *win32*) ;;
-    *) xzdec <"$i" | tar -xf - || exit 1;;
+    *) xz <"$i" | tar -xf - || exit 1;;
   esac
 done
 
@@ -127,6 +126,7 @@
 
   t_instdir=$ROOT/tlpkg/installer  # target installer dir
   t_xzdir=$t_instdir/xz
+  t_lz4dir=$t_instdir/lz4
   t_wgetdir=$t_instdir/wget
   #
   # ensure these target directories exist.
@@ -153,9 +153,10 @@
     # install the bin dir for this platform.
     (cd bin && tar cf - "$b") | (cd "$ROOT/bin" && tar xf -) || exit 1
 
-    # copy the installer binaries; not everything provides wget.
-    cp installer/xz/xzdec."$b" "$t_xzdir/" || exit 1
+    # copy the installer binaries; not everything provides wget or lz4.
     cp installer/xz/xz."$b" "$t_xzdir/" || exit 1
+    test -r installer/lz4/lz4.$b \
+      && { cp installer/lz4/lz4.$b "$t_lz4dir/" || exit 1; }
     test -r installer/wget/wget.$b \
       && { cp installer/wget/wget.$b "$t_wgetdir/" || exit 1; }
   done
@@ -163,6 +164,7 @@
 else
   cat <<END_ABORT_NODIR >&2
 $0: Cannot find TeX Live root using kpsewhich --var-value=SELFAUTOPARENT.
+$0: (no tlpkg/texlive.tlpdb and/or tlpkg/tlpobj/.)
 $0: Please set your PATH as needed, otherwise it's hopeless.
 END_ABORT_NODIR
   exit 1

Modified: trunk/Master/tlpkg/bin/tl-update-containers
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-containers	2018-05-30 21:18:26 UTC (rev 47878)
+++ trunk/Master/tlpkg/bin/tl-update-containers	2018-05-30 22:49:54 UTC (rev 47879)
@@ -1,4 +1,5 @@
 #!/usr/bin/env perl
+# $Id$
 # Copyright 2008-2018 Norbert Preining
 # This file is licensed under the GNU General Public License version 2
 # or any later version.
@@ -229,10 +230,6 @@
     # do a full setup
     my $ret
          = &TeXLive::TLUtils::setup_programs("$script_master/tlpkg/installer");
-    if ($ret == -1) {
-      tlwarn("$0: no xzdec for $::_platform_, aborting.\n");
-      exit 1;
-    }
     if (!$ret) {
       tlwarn("$0: binaries could not be set up, aborting.\n");
       exit 1;

Modified: trunk/Master/tlpkg/tlpsrc/texlive.infra.tlpsrc
===================================================================
--- trunk/Master/tlpkg/tlpsrc/texlive.infra.tlpsrc	2018-05-30 21:18:26 UTC (rev 47878)
+++ trunk/Master/tlpkg/tlpsrc/texlive.infra.tlpsrc	2018-05-30 22:49:54 UTC (rev 47879)
@@ -2,8 +2,9 @@
 shortdesc basic TeX Live infrastructure
 longdesc This package contains the files needed to get the TeX Live
 longdesc tools (notably tlmgr) running: perl modules, xz binaries, plus
-longdesc (sometimes) tar and wget.  These files end up in the standalone
-longdesc install packages, and in the tlcritical repository.
+longdesc (sometimes) tar and wget.  These files also end up in the
+longdesc tlcritical recovery scripts.  The standalone installer is
+longdesc close, but not the same; it's defined in 00texlive.installer.
 
 docpattern f README
 docpattern f README*



More information about the tex-live-commits mailing list